@font-face {
    font-family: 'SF Regular';
    src: url('../fonts/SFProText-Regular.woff2') format('woff2'),
         url('../fonts/SFProText-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'SF Bold';
    src: url('../fonts/SFProText-Bold.woff2') format('woff2'),
         url('../fonts/SFProText-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}
@font-face {
    font-family: 'SF Light';
    src: url('../fonts/SFProText-Light.woff2') format('woff2'),
         url('../fonts/SFProText-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}
@font-face {
    font-family: 'SF Medium';
    src: url('../fonts/SFProText-Medium.woff2') format('woff2'),
         url('../fonts/SFProText-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}
@font-face {
    font-family: 'SF Semibold';
    src: url('../fonts/SFProText-Semibold.woff2') format('woff2'),
         url('../fonts/SFProText-Semibold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'SF RegularItalic';
    src: url('../fonts/SFProText-RegularItalic.woff2') format('woff2'),
         url('../fonts/SFProText-RegularItalic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'SF BoldItalic';
    src: url('../fonts/SFProText-BoldItalic.woff2') format('woff2'),
         url('../fonts/SFProText-BoldItalic.ttf') format('truetype');
    font-weight: bold;
    font-style: italic;
}

@font-face {
    font-family: 'SF LightItalic';
    src: url('../fonts/SFProText-LightItalic.woff2') format('woff2'),
         url('../fonts/SFProText-LightItalic.ttf') format('truetype');
    font-weight: 300;
    font-style: italic;
}

@font-face {
    font-family: 'SF MediumItalic';
    src: url('../fonts/SFProText-MediumItalic.woff2') format('woff2'),
         url('../fonts/SFProText-MediumItalic.ttf') format('truetype');
    font-weight: 500;
    font-style: italic;
}

@font-face {
    font-family: 'SF SemiboldItalic';
    src: url('../fonts/SFProText-SemiboldItalic.woff2') format('woff2'),
         url('../fonts/SFProText-SemiboldItalic.ttf') format('truetype');
    font-weight: 600;
    font-style: italic;
}


body {
    background-color: #F4F4F4;
    font-family: 'SF Regular', sans-serif;
    line-height: 20px;
}

h1 {
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 8px;
    line-height: 30px;
}

h2 {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 8px;
}

h3 {
    font-size: 17px;
    font-weight: 400;
    margin-bottom: 4px;
}

input:focus, textarea:focus {
  outline: none !important;
  box-shadow: none !important;
  border-color: transparent !important;
}

textarea {
  background-color: #F1F1F3;
  border-radius: 20px;
  padding: 20px;
  width: 100%;
  border: 0;
  resize: none;
}

/* main {
  height: 68vh;
  overflow: scroll;
} */

.head-space {
  height: 10vh;
}

.main .head-space {
  height: 5vh;
}

.empty-route-card {
    background: white;
    border-radius: 32px;
    padding: 30px;
    width: 100%;
    max-width: 400px;
    min-height: 60vh; /* Растягиваем карточку */
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.empty-route-card img {
    max-width: 150px; /* Подстройка размера изображения */
}

.empty-route-card .btn-primary {
  margin-top: auto;
}
.route-card {
    background: white;
    border-radius: 32px;
    padding: 20px;
    margin-bottom: 10px;
}
.route-card-head img {
    width: 24px;
    height: 24px;
    border-radius: 16px;
    margin-right: 10px;
}
.route-card-desc, .route-card-head {
  font-size: 14px;
  font-weight: 400;
  align-items: center;
}
.route-card-desc p, .route-card-head p {
  margin-bottom: 0;
}
.badge {
  background-color: #CEF249;
  border-radius: 12px;
  margin: 0 10px;
  line-height: 14px;
  font-weight: 400;
}
.input-card {
    background-color: white;
    border-radius: 24px;
}

.input-card img {
    margin-right: 10px;
}
.btn-primary {
    background-color: #D7F436;
    border: none;
    color: black;
    border-radius: 20px;
    font-size: 20px;
    padding: 20px;
    width: 100%;
}
.btn-primary:hover {
    background-color: #C4E32D;
}
.btn-head {
  width: 72px;
  height: 72px;
  border-radius: 20px;
  font-size: 34px;
  font-weight: 100;
  font-family: 'SF Light';
}
.btn-dark {
  background-color: black;
}
.bottom-nav {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: white;
    padding: 10px 0;
    box-shadow: 0px -2px 10px rgba(0, 0, 0, 0.1);
}
.bottom-nav a {
    color: black;
    text-decoration: none;
    font-size: 20px;
}
.btn-footer, .btn-footer:hover {
  border-radius: 20px;
  font-size: 20px;
  font-weight: 100;
  background-color: #CEF249;
  color: black;
  width: 100%;
  padding: 16px;
}

.btn-footer.blocked {
  opacity: 50%;
  pointer-events: none;
}

footer .bottom-nav a {
  border-radius: 32px;
  padding: 10px 14px;
}

footer .bottom-nav a.active {
    background-color: #CEF249;
}

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    display: none;
    justify-content: center;
    align-items: center;
}

.modal-overlay.open {
  display: flex !important;
}

.modal-overlay.open .modal-content {
  bottom: 0;
}

.modal-content {
    background: white;
    border-radius: 32px 32px 0 0;
    padding: 30px;
    text-align: center;
    width: 100%;
    position: fixed;
    bottom: -100%;
    transition: bottom 0.3s ease-in-out;
}

.modal-content p {
  font-size: 17px;
  color: #939393;
  font-size: 14px;
  line-height: 18px;
}

.fake-heart {
  margin-bottom: 15px;
}

.loader {
    position: relative;
    width: 64px;
    height: 64px;
    margin: 25px auto;
}

.loader div {
    position: absolute;
    width: 14px;
    height: 14px;
    background-color: #CEF249;
    border-radius: 50%;
    animation: fade 1.2s infinite linear;
}

/* Расположение точек строго по окружности */
.loader div:nth-child(1) { top: 5%; left: 50%; transform: translate(-50%, -50%); animation-delay: 0s; }
.loader div:nth-child(2) { top: 20%; left: 80%; transform: translate(-50%, -50%); animation-delay: 0.15s; }
.loader div:nth-child(3) { top: 50%; left: 95%; transform: translate(-50%, -50%); animation-delay: 0.3s; }
.loader div:nth-child(4) { top: 80%; left: 80%; transform: translate(-50%, -50%); animation-delay: 0.45s; }
.loader div:nth-child(5) { top: 95%; left: 50%; transform: translate(-50%, -50%); animation-delay: 0.6s; }
.loader div:nth-child(6) { top: 80%; left: 20%; transform: translate(-50%, -50%); animation-delay: 0.75s; }
.loader div:nth-child(7) { top: 50%; left: 5%; transform: translate(-50%, -50%); animation-delay: 0.9s; }
.loader div:nth-child(8) { top: 20%; left: 20%; transform: translate(-50%, -50%); animation-delay: 1.05s; }

@keyframes fade {
    0%, 100% { opacity: 1; }
    50% { opacity: 0.2; }
}

.question-card {
    background: white;
    border-radius: 16px;
    padding: 20px;
    box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.05);
}
.question-number {
    font-size: 14px;
    color: #9E9E9E;
    margin-bottom: 4px;
}
.question-text {
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 10px;
}
.btn-option {
    background: #F4F4F4;
    border: none;
    border-radius: 12px;
    padding: 12px 18px;
    margin-right: 8px;
    font-size: 16px;
    display: flex;
    align-items: center;
    width: 50%;
    justify-content: center;
}
.btn-option img {
    margin-right: 8px;
}
.btn-option.red.active {
    background: #FFA37B;
}
.btn-option.active {
    background: #D7F436;
}

.btn-share {
        background: white;
        border-radius: 16px;
        padding: 10px;
    }
    .day-card {
        background: white;
        border-radius: 24px;
        padding: 24px;
        position: relative;
        margin-bottom: 32px;
    }
.day-badge {
        background: #D7F436;
        border-radius: 24px;
        font-weight: bold;
        width: 70px;
        height: 70px;
        position: absolute;
        top: -20px;
        border: 4px solid white;
        text-align: center;
        font-size: 20px;
        align-items: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        flex-wrap: nowrap;
        align-content: center;
    }
    .day-badge span {
        display: block;
        font-size: 12px;
        font-weight: 100;
    }
    .date-badge {
        background: #F1F1F3;
        padding: 4px 12px;
        border-radius: 16px;
        margin-left: auto;
        font-size: 14px;
    }
    .schedule p {
        font-size: 14px;
        margin: 4px 0;
        color: #939393;
    }
    .schedule-item {
        margin: 32px 0;
    }
    .tip-box {
        background: #E9FAAE;
        padding: 12px;
        border-radius: 20px;
        font-size: 14px;
        display: flex;
        align-items: center;
        margin-top: 10px;
    }
    .tip-box img {
        margin-right: 8px;
    }

.footer-space {
  height: 18vh;
}

.route-warning {
    background: #CEF249;
    border-radius: 32px;
    padding: 20px;
    margin-bottom: 10px;
}

.route-warning p {
    margin-bottom: 25px;
}

.route-warning-btn {
 border-radius: 15px;
 background-color: black;
 padding: 8px 50px;
 color:white;
 text-decoration: none;
}

.unfinished-route p {
    color: #939393;
}

.autocomplete-dropdown {
    position: absolute;
    background: white;
    width: 100%;
    max-height: 200px;
    overflow-y: auto;
    list-style: none;
    padding: 5px;
    margin: 0;
    border: 1px solid #ddd;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    z-index: 100;
    display: none;
}

.dropdown-item {
    padding: 10px;
    cursor: pointer;
}

.dropdown-item:hover {
    background-color: #f0f0f0;
}

.dropdown-item.disabled {
    color: #aaa;
    cursor: default;
}

/* Лоадер */
.loader_input {
    position: absolute;
    right: 15px;
    top: 17px;
    transform: translateY(-50%);
    width: 18px;
    height: 18px;
    border: 2px solid #ccc;
    border-top: 2px solid #D7F436;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
    display: none;
    z-index: 1000;
}

@keyframes spin {
    from { transform: translateY(-50%) rotate(0deg); }
    to { transform: translateY(-50%) rotate(360deg); }
}

/* Стили для поля бюджета */
.input-card .form-select {
    width: 60px;
    background-color: transparent;
    border-left: 1px solid #ddd;
    padding-left: 10px;
}
.input-card .form-select, .input-card .form-select:focus{
  outline: 0;
  box-shadow: none;
}

/* Общий стиль блока тарифа */
.tariff-option {
    display: flex;
    align-items: center;
    background: #D7F436;
    border-radius: 24px;
    padding: 20px;
    cursor: pointer;
    transition: background 0.3s ease;
}
.tariff-option:not(.active) {
    background: #FFFFFF;
}

/* Кастомный радио-инпут */
.tariff-radio input {
    display: none;
}
.tariff-radio label {
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 50%;
    background: #F1F1F3;
    position: relative;
    cursor: pointer;
}
.tariff-radio input:checked + label {
    background: black;
    border: 6px solid white;
}

/* Блок информации */
.tariff-info {
    flex-grow: 1;
}
.tariff-title {
    display: block;
    font-size: 17px;
    font-weight: 400;
    margin-bottom: 5px;
}
.tariff-price {
    font-size: 20px;
    font-weight: 500;
}

/* Блок скидки */
.tariff-discount .badge {
    background: #D7F436;
    font-size: 14px;
    padding: 6px 10px;
    border-radius: 12px;
    font-weight: 400;
    color: black;
}

.tariff-option.active .tariff-discount .badge {
  background: white;
}

.rating-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #fff;
    border-radius: 20px;
    padding: 20px;
}
.stars {
    display: flex;
    margin: 12px 0;
    cursor: pointer;
}
.star {
    font-size: 48px;
    color: #e0e0e0;
    transition: color 0.3s;
    margin: 0 5px;
}

.stars.red .star.active {
    color: #FFA37B;
}
.stars.yellow .star.active {
    color: #F2D349;
}
.stars.green .star.active {
    color: #cef249;
}
.modal-content .rating-container {
  box-shadow: 0px 0px 50px 0px rgba(0, 0, 0, 0.08);
}
